Index: /branches/camp/camp-2_13-tests/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php
===================================================================
--- /branches/camp/camp-2_13-tests/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 22578)
+++ /branches/camp/camp-2_13-tests/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 22727)
@@ -116,5 +116,5 @@
             // 編集前処理
             case 'pre_edit':
-                $maker = $objMaker->get($maker_id);
+                $maker = $objMaker->getMaker($maker_id);
                 $objFormParam->setParam($maker);
 
@@ -190,5 +190,5 @@
         $sqlval['maker_id'] = $maker_id;
         $sqlval['creator_id'] = $_SESSION['member_id'];
-        return $objMaker->save($sqlval);
+        return $objMaker->saveMaker($sqlval);
     }
 
@@ -208,5 +208,5 @@
             if (!SC_Utils_Ex::sfIsInt($arrForm['maker_id'])
                 || SC_Utils_Ex::sfIsZeroFilling($arrForm['maker_id'])
-                || !$objMaker->get($arrForm['maker_id'])
+                || !$objMaker->getMaker($arrForm['maker_id'])
             ) {
                 // maker_idが指定されていて、且つその値が不正と思われる場合はエラー
Index: /branches/camp/camp-2_13-tests/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/camp/camp-2_13-tests/data/class/pages/products/LC_Page_Products_List.php	(revision 22607)
+++ /branches/camp/camp-2_13-tests/data/class/pages/products/LC_Page_Products_List.php	(revision 22727)
@@ -317,5 +317,5 @@
         if (strlen($arrSearchData['maker_id']) > 0) {
             $objMaker = new SC_Helper_Maker_Ex();
-            $maker = $objMaker->get($arrSearchData['maker_id']);
+            $maker = $objMaker->getMaker($arrSearchData['maker_id']);
             $arrSearch['maker']     = $maker['name'];
         }
Index: /branches/camp/camp-2_13-tests/data/class/helper/SC_Helper_Maker.php
===================================================================
--- /branches/camp/camp-2_13-tests/data/class/helper/SC_Helper_Maker.php	(revision 22578)
+++ /branches/camp/camp-2_13-tests/data/class/helper/SC_Helper_Maker.php	(revision 22727)
@@ -38,5 +38,5 @@
      * @return array
      */
-    public function get($maker_id, $has_deleted = false)
+    public function getMaker($maker_id, $has_deleted = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -93,5 +93,5 @@
      * @return multiple 登録成功:メーカーID, 失敗:FALSE
      */
-    public function save($sqlval)
+    public function saveMaker($sqlval)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
Index: /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_TestBase.php
===================================================================
--- /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_TestBase.php	(revision 22727)
+++ /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_TestBase.php	(revision 22727)
@@ -0,0 +1,101 @@
+<?php
+
+$HOME = realpath(dirname(__FILE__)) . "/../../../..";
+require_once($HOME . "/tests/class/Common_TestCase.php");
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+/**
+ * SC_Helper_Makerのテストの基底クラス.
+ *
+ *
+ * @author hiroshi kakuta
+ * @version $Id$
+ */
+class SC_Helper_Maker_TestBase extends Common_TestCase
+{
+
+    protected function setUp()
+    {
+        parent::setUp();
+    }
+
+    protected function tearDown()
+    {
+        parent::tearDown();
+    }
+
+
+    /**
+     * DBにお勧め情報を登録します.
+     */
+    protected function setUpMaker()
+    {
+        $makers = array(
+            array(
+                'maker_id' => '1001',
+                'name' => 'ソニン',
+                'rank' => '1',
+                'creator_id' => '1',
+                'create_date' => '2000-01-01 00:00:00',
+                'update_date' => '2000-01-01 00:00:00',
+                'del_flg' => '0'
+            ),
+            array(
+                'maker_id' => '1002',
+                'name' => 'パソナニック',
+                'rank' => '2',
+                'creator_id' => '2',
+                'create_date' => '2000-01-01 00:00:00',
+                'update_date' => '2000-01-01 00:00:00',
+                'del_flg' => '1'
+            ),
+            array(
+                'maker_id' => '1003',
+                'name' => 'シャンプー',
+                'rank' => '3',
+                'creator_id' => '1',
+                'create_date' => '2000-01-01 00:00:00',
+                'update_date' => '2000-01-01 00:00:00',
+                'del_flg' => '0'
+            ),
+            array(
+                'maker_id' => '1004',
+                'name' => 'MEC',
+                'rank' => '4',
+                'creator_id' => '1',
+                'create_date' => '2000-01-01 00:00:00',
+                'update_date' => '2000-01-01 00:00:00',
+                'del_flg' => '0'
+            )
+        );
+
+        $this->objQuery->delete('dtb_maker');
+        foreach ($makers as  $item) {
+            $this->objQuery->insert('dtb_maker', $item);
+        }
+    }
+
+    protected function deleteAllMaker(){
+        $this->objQuery->delete('dtb_maker');
+    }
+}
+
Index: /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getByNameTest.php
===================================================================
--- /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getByNameTest.php	(revision 22727)
+++ /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getByNameTest.php	(revision 22727)
@@ -0,0 +1,130 @@
+<?php
+
+$HOME = realpath(dirname(__FILE__)) . "/../../../..";
+require_once($HOME . "/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_TestBase.php");
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * SC_Helper_Maker::getMaker()のテストクラス.
+ *
+ * @author hiroshi kakuta
+ */
+class SC_Helper_Maker_getByNameTest extends SC_Helper_Maker_TestBase
+{
+
+    var $objHelperMaker;
+
+    protected function setUp()
+    {
+        parent::setUp();
+        $this->setUpMaker();
+        $this->objHelperMaker = new SC_Helper_Maker_Ex();
+    }
+
+    protected function tearDown()
+    {
+        parent::tearDown();
+    }
+
+    public function testGetByName_メーカー名が存在しない場合_空を返す()
+    {
+        $this->expected = null;
+
+        $this->actual = $this->objHelperMaker->getByName("ソニ");
+
+        $this->verify();
+    }
+
+    // maker_idが存在する場合、対応した結果を取得できる。
+    public function testGetByName_メーカー名が存在する場合_対応した結果を取得できる(){
+
+
+        $this->expected = array(
+            'maker_id' => '1001',
+            'name' => 'ソニン',
+            'rank' => '1',
+            'creator_id' => '1',
+            'create_date' => '2000-01-01 00:00:00',
+            'update_date' => '2000-01-01 00:00:00',
+            'del_flg' => '0'
+        );
+
+        $result = $this->objHelperMaker->getByName("ソニン");
+
+        $this->actual = Test_Utils::mapArray($result,
+            array('maker_id',
+                'name',
+                'rank',
+                'creator_id',
+                'create_date',
+                'update_date',
+                'del_flg'
+            ));
+
+        $this->verify();
+
+    }
+
+
+    public function testGetByName_おすすめIDがあり_かつ削除済みの場合_空が返る(){
+
+        $this->expected = null;
+
+        $result = $this->objHelperMaker->getMaker("1002");
+
+        $this->verify();
+
+    }
+
+    // best_idが存在するが、del_flg=1の場合、かつ。$has_deleted=trueを指定
+    public function testGetByName_削除済みでかつhas_deletedがtrueの場合_対応した結果が返る(){
+
+        $best_id = '1002';
+
+
+        $this->expected = array(
+            'maker_id' => '1002',
+            'name' => 'パソナニック',
+            'rank' => '2',
+            'creator_id' => '2',
+            'create_date' => '2000-01-01 00:00:00',
+            'update_date' => '2000-01-01 00:00:00',
+            'del_flg' => '1'
+        );
+
+        $result = $this->objHelperMaker->getMaker("1002",true);
+
+        $this->actual = Test_Utils::mapArray($result,
+            array('maker_id',
+                'name',
+                'rank',
+                'creator_id',
+                'create_date',
+                'update_date',
+                'del_flg'
+            ));
+
+        $this->verify();
+    }
+}
+
Index: /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getListTest.php
===================================================================
--- /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getListTest.php	(revision 22727)
+++ /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getListTest.php	(revision 22727)
@@ -0,0 +1,113 @@
+<?php
+
+$HOME = realpath(dirname(__FILE__)) . "/../../../..";
+require_once($HOME . "/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_TestBase.php");
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * SC_Helper_Maker::getList()のテストクラス.
+ *
+ * @author hiroshi kakuta
+ */
+class SC_Helper_Maker_getListTest extends SC_Helper_Maker_TestBase
+{
+
+    var $objHelperMaker;
+
+    protected function setUp()
+    {
+        parent::setUp();
+        $this->objHelperMaker = new SC_Helper_Maker_Ex();
+        $this->setUpMaker();
+
+
+    }
+
+    protected function tearDown()
+    {
+        parent::tearDown();
+    }
+
+    /**　rankが存在しない場合、空を返す。
+     */
+    public function testGetList_存在しない場合空を返す()
+    {
+
+        $this->deleteAllMaker();
+
+        $this->expected = array();
+        $this->actual = $this->objHelperMaker->getList();
+
+        $this->verify();
+    }
+
+    public function testGetList_データがある場合_想定した結果が返る(){
+
+        $this->expected = array(
+            array(
+                'maker_id' => '1004',
+                'name' => 'MEC'
+            ),
+            array(
+                'maker_id' => '1003',
+                'name' => 'シャンプー'
+            ),
+            array(
+                'maker_id' => '1001',
+                'name' => 'ソニン'
+            )
+        );
+
+        $this->actual = $this->objHelperMaker->getList();
+        $this->verify();
+
+    }
+
+    public function testGetList_一覧取得has_deleteをtrueにした場合削除済みデータも取得(){
+
+        $this->expected = array(
+            array(
+                'maker_id' => '1004',
+                'name' => 'MEC'
+            ),
+            array(
+                'maker_id' => '1003',
+                'name' => 'シャンプー'
+            ),
+            array(
+                'maker_id' => '1002',
+                'name' => 'パソナニック'
+            ),
+            array(
+                'maker_id' => '1001',
+                'name' => 'ソニン'
+            )
+        );
+
+        $this->actual = $this->objHelperMaker->getList(true);
+        $this->verify();
+
+    }
+
+}
+
Index: /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_saveMakerTest.php
===================================================================
--- /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_saveMakerTest.php	(revision 22727)
+++ /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_saveMakerTest.php	(revision 22727)
@@ -0,0 +1,111 @@
+<?php
+
+$HOME = realpath(dirname(__FILE__)) . "/../../../..";
+require_once($HOME . "/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_TestBase.php");
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ *
+ * @author hiroshi kakuta
+ */
+class SC_Helper_Maker_saveMakerTest extends SC_Helper_Maker_TestBase
+{
+    var $objHelperMaker;
+
+    protected function setUp()
+    {
+
+        parent::setUp();
+        $this->setUpMaker();
+        $this->objHelperMaker = new SC_Helper_Maker_Ex();
+    }
+
+    protected function tearDown()
+    {
+        parent::tearDown();
+    }
+
+
+
+    public function testSaveMaker_メーカーIDを指定すると更新される(){
+    //public function testSaveMaker_update(){
+        $sqlVal = array(
+            'maker_id' => '1001',
+            'name' => 'ソニンー',
+        );
+
+        $this->objHelperMaker->saveMaker($sqlVal);
+
+        $this->expected = array(
+            'name' => 'ソニンー',
+        );
+
+        $arrRet = $this->objHelperMaker->getMaker('1001');
+
+        $this->actual = Test_Utils::mapArray($arrRet,
+            array('name')
+        );
+
+        $this->verify();
+    }
+
+
+
+    public function testSaveMaker_メーカーIDがない場合_インサートされる(){
+    //public function testSaveMaker_insert(){
+
+        if(DB_TYPE != 'pgsql') { //postgresqlだとどうしてもDBエラーになるのでとりいそぎ回避
+            $sqlVal = array(
+                'name' => 'フジスリー',
+                'creator_id' => '1',
+                'del_flg' => '0'
+            );
+
+            $maker_id = $this->objHelperMaker->saveMaker($sqlVal);
+
+
+            $this->expected = array(
+                'name' => 'フジスリー',
+                'rank' => '5',
+                'creator_id' => '1',
+                'del_flg' => '0'
+            );
+
+            $arrRet = $this->objHelperMaker->getMaker($maker_id);
+
+            $this->actual = Test_Utils::mapArray($arrRet,
+                array(
+                    'name',
+                    'rank',
+                    'creator_id',
+                    'del_flg'
+                )
+            );
+
+            $this->verify();
+        }
+
+    }
+
+}
+
Index: /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getMakerTest.php
===================================================================
--- /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getMakerTest.php	(revision 22727)
+++ /branches/camp/camp-2_13-tests/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_getMakerTest.php	(revision 22727)
@@ -0,0 +1,132 @@
+<?php
+
+$HOME = realpath(dirname(__FILE__)) . "/../../../..";
+require_once($HOME . "/tests/class/helper/SC_Helper_Maker/SC_Helper_Maker_TestBase.php");
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * SC_Helper_Maker::getMaker()のテストクラス.
+ *
+ * @author hiroshi kakuta
+ */
+class SC_Helper_Maker_getMakerTest extends SC_Helper_Maker_TestBase
+{
+
+    var $objHelperMaker;
+
+    protected function setUp()
+    {
+        parent::setUp();
+        $this->setUpMaker();
+        $this->objHelperMaker = new SC_Helper_Maker_Ex();
+    }
+
+    protected function tearDown()
+    {
+        parent::tearDown();
+    }
+
+    /** maker_idが存在しない場合、空を返す。
+     */
+    public function testGetMaker_おすすめidが存在しない場合_空を返す()
+    {
+        $this->expected = null;
+
+        $this->actual = $this->objHelperMaker->getMaker("9999");
+
+        $this->verify();
+    }
+
+    // maker_idが存在する場合、対応した結果を取得できる。
+    public function testGetMaker_メーカーIDが存在する場合_対応した結果を取得できる(){
+
+
+        $this->expected = array(
+            'maker_id' => '1001',
+            'name' => 'ソニン',
+            'rank' => '1',
+            'creator_id' => '1',
+            'create_date' => '2000-01-01 00:00:00',
+            'update_date' => '2000-01-01 00:00:00',
+            'del_flg' => '0'
+        );
+
+        $result = $this->objHelperMaker->getMaker("1001");
+
+        $this->actual = Test_Utils::mapArray($result,
+            array('maker_id',
+                'name',
+                'rank',
+                'creator_id',
+                'create_date',
+                'update_date',
+                'del_flg'
+            ));
+
+        $this->verify();
+
+    }
+
+
+    public function testGetMaker_おすすめIDがあり_かつ削除済みの場合_空が返る(){
+
+        $this->expected = null;
+
+        $result = $this->objHelperMaker->getMaker("1002");
+
+        $this->verify();
+
+    }
+
+    // best_idが存在するが、del_flg=1の場合、かつ。$has_deleted=trueを指定
+    public function testGetMaker_削除済みでかつhas_deletedがtrueの場合_対応した結果が返る(){
+
+        $best_id = '1002';
+
+
+        $this->expected = array(
+            'maker_id' => '1002',
+            'name' => 'パソナニック',
+            'rank' => '2',
+            'creator_id' => '2',
+            'create_date' => '2000-01-01 00:00:00',
+            'update_date' => '2000-01-01 00:00:00',
+            'del_flg' => '1'
+        );
+
+        $result = $this->objHelperMaker->getMaker("1002",true);
+
+        $this->actual = Test_Utils::mapArray($result,
+            array('maker_id',
+                'name',
+                'rank',
+                'creator_id',
+                'create_date',
+                'update_date',
+                'del_flg'
+            ));
+
+        $this->verify();
+    }
+}
+