Index: branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 22206)
+++ branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 22781)
@@ -33,5 +33,5 @@
         <p>最大<!--{$smarty.const.DELIV_ADDR_MAX|h}-->件まで登録できます。</p>
     </div>
-    <!--{if $tpl_linemax < $smarty.const.DELIV_ADDR_MAX}-->
+    <!--{if $tpl_linemax <= $smarty.const.DELIV_ADDR_MAX}-->
         <!--{* 退会時非表示 *}-->
         <!--{if $tpl_login}-->
Index: branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/multiple.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 22775)
+++ branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 22781)
@@ -33,5 +33,5 @@
 
     <!--★ボタン★-->
-    <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
+    <!--{if $tpl_addrmax <= $smarty.const.DELIV_ADDR_MAX}-->
         <div class="btn_area_top">
             <a rel="external" href="javascript:void(0);" class="btn_sub addbtn" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->','new_deiv','600','640'); return false;">新しいお届け先を追加</a>
Index: branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/deliv.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 22206)
+++ branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 22781)
@@ -75,5 +75,5 @@
                             </dt>
                         <!--{/if}-->
-                        <dd <!--{if $smarty.section.cnt.last && !($tpl_addrmax < $smarty.const.DELIV_ADDR_MAX)}-->class="end"<!--{/if}-->>
+                        <dd <!--{if $smarty.section.cnt.last && !($tpl_addrmax <= $smarty.const.DELIV_ADDR_MAX)}-->class="end"<!--{/if}-->>
                             <!--{assign var=key value=$arrAddr[cnt].pref}-->
                             <!--{$arrPref[$key]}--><!--{$arrAddr[cnt].addr01|h}--><!--{$arrAddr[cnt].addr02|h}--><br />
@@ -83,5 +83,5 @@
                 <!--{/section}-->
 
-                <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
+                <!--{if $tpl_addrmax <= $smarty.const.DELIV_ADDR_MAX}-->
                     <div class="inner">
                         <a rel="external" href="javascript:void(0);" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->','new_deiv','600','640'); return false;" class="btn_sub addbtn">新しいお届け先を追加</a>
Index: branches/version-2_13-dev/data/Smarty/templates/default/mypage/delivery.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/default/mypage/delivery.tpl	(revision 22206)
+++ branches/version-2_13-dev/data/Smarty/templates/default/mypage/delivery.tpl	(revision 22781)
@@ -31,5 +31,5 @@
         ※最大<span class="attention"><!--{$smarty.const.DELIV_ADDR_MAX|h}-->件</span>まで登録できます。</p>
 
-        <!--{if $tpl_linemax < $smarty.const.DELIV_ADDR_MAX}-->
+        <!--{if $tpl_linemax <= $smarty.const.DELIV_ADDR_MAX}-->
             <!--{* 退会時非表示 *}-->
             <!--{if $tpl_login}-->
Index: branches/version-2_13-dev/data/Smarty/templates/default/shopping/multiple.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 22775)
+++ branches/version-2_13-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 22781)
@@ -38,10 +38,10 @@
         <h2 class="title"><!--{$tpl_title|h}--></h2>
         <p class="information">各商品のお届け先を選択してください。<br />（※数量の合計は、カゴの中の数量と合わせてください。）</p>
-        <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
+        <!--{if $tpl_addrmax <= $smarty.const.DELIV_ADDR_MAX}-->
             <p>一覧にご希望の住所が無い場合は、「新しいお届け先を追加する」より追加登録してください。</p>
         <!--{/if}-->
         <p class="mini attention">※最大<!--{$smarty.const.DELIV_ADDR_MAX|h}-->件まで登録できます。</p>
 
-        <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
+        <!--{if $tpl_addrmax <= $smarty.const.DELIV_ADDR_MAX}-->
             <p class="addbtn">
                 <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->','new_deiv','600','640'); return false;" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address_on.jpg','addition');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg','addition');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg" alt="新しいお届け先を追加する" name="addition" id="addition" /></a>
Index: branches/version-2_13-dev/data/Smarty/templates/default/shopping/deliv.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/default/shopping/deliv.tpl	(revision 22206)
+++ branches/version-2_13-dev/data/Smarty/templates/default/shopping/deliv.tpl	(revision 22781)
@@ -31,5 +31,5 @@
             <div class="information">
                 <p>下記一覧よりお届け先住所を選択して、「選択したお届け先に送る」ボタンをクリックしてください。</p>
-                <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
+                <!--{if $tpl_addrmax <= $smarty.const.DELIV_ADDR_MAX}-->
                     <p>一覧にご希望の住所が無い場合は、「新しいお届け先を追加する」より追加登録してください。</p>
                 <!--{/if}-->
@@ -44,5 +44,5 @@
         </div>
 
-        <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
+        <!--{if $tpl_addrmax <= $smarty.const.DELIV_ADDR_MAX}-->
             <p class="addbtn">
                 <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->','new_deiv','600','640'); return false;" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address_on.jpg','addition');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg','addition');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg" alt="新しいお届け先を追加する" name="addition" id="addition" /></a>
Index: branches/version-2_13-dev/data/Smarty/templates/mobile/shopping/multiple.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/mobile/shopping/multiple.tpl	(revision 22206)
+++ branches/version-2_13-dev/data/Smarty/templates/mobile/shopping/multiple.tpl	(revision 22781)
@@ -83,5 +83,5 @@
     <hr>
 
-    <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
+    <!--{if $tpl_addrmax <= $smarty.const.DELIV_ADDR_MAX}-->
         <form method="post" action="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php">
         <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->">