Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/login.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/login.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/login.tpl	(revision 22788)
@@ -71,5 +71,5 @@
             </div><!-- /.loginareaBox -->
 
-            <p class="arrowRtxt"><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->">パスワードを忘れた方</a></p>
+            <p class="arrowRtxt"><a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->">パスワードを忘れた方</a></p>
 
             <div class="btn_area">
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal_confirm.tpl	(revision 22788)
@@ -26,5 +26,5 @@
     <h2 class="title"><!--{$tpl_title|h}--></h2>
     <!--{include file=$tpl_navi}-->
-    <form name="form1" method="post" action="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/refusal.php">
+    <form name="form1" method="post" action="<!--{$smarty.const.HTTPS_URL}-->mypage/refusal.php">
         <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
         <input type="hidden" name="mode" value="complete" />
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 22499)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 22788)
@@ -106,5 +106,5 @@
     var pageNo = 2;
     var url = "<!--{$smarty.const.P_DETAIL_URLPATH}-->";
-    var imagePath = "<!--{$smarty.const.IMAGE_SAVE_URLPATH|sfTrimURL}-->/";
+    var imagePath = "<!--{$smarty.const.IMAGE_SAVE_URLPATH}-->";
     var statusImagePath = "<!--{$TPL_URLPATH}-->";
 
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/refusal.tpl	(revision 22788)
@@ -28,5 +28,5 @@
 
     <h3 class="title_mypage"><!--{$tpl_subtitle|h}--></h3>
-    <form name="form1" method="post" action="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/refusal.php">
+    <form name="form1" method="post" action="<!--{$smarty.const.HTTPS_URL}-->mypage/refusal.php">
         <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
         <input type="hidden" name="mode" value="confirm" />
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl	(revision 22574)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change_confirm.tpl	(revision 22788)
@@ -34,5 +34,5 @@
     </div>
 
-    <form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/change.php">
+    <form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTPS_URL}-->mypage/change.php">
         <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
         <input type="hidden" name="mode" value="complete" />
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 22782)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 22788)
@@ -45,5 +45,5 @@
     <div class="form_area">
         <!--{if $tpl_linemax > 0}-->
-            <form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/delivery.php" >
+            <form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTPS_URL}-->mypage/delivery.php" >
                 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
                 <input type="hidden" name="mode" value="" />
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/mypage/change.tpl	(revision 22788)
@@ -33,5 +33,5 @@
     </div>
 
-    <form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/change.php">
+    <form name="form1" id="form1" method="post" action="<!--{$smarty.const.HTTPS_URL}-->mypage/change.php">
         <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
         <input type="hidden" name="mode" value="confirm" />
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/shopping/index.tpl	(revision 22788)
@@ -72,5 +72,5 @@
         </div>
 
-        <p class="arrowRtxt"><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->">パスワードを忘れた方</a></p>
+        <p class="arrowRtxt"><a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->">パスワードを忘れた方</a></p>
         <div class="btn_area">
         <p><input type="submit" value="ログイン" class="btn data-role-none" name="log" id="log" /></p>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/forgot/complete.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/forgot/complete.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/forgot/complete.tpl	(revision 22788)
@@ -40,5 +40,5 @@
 
         <div class="btn_area">
-            <p><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" class="btn_sub btn_close">ログイン画面へ</a></p>
+            <p><a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" class="btn_sub btn_close">ログイン画面へ</a></p>
         </div>
     </form>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login_header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login_header.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login_header.tpl	(revision 22788)
@@ -23,5 +23,5 @@
 <nav class="header_navi">
     <!--{if $tpl_login}-->
-        <p class="guest">ようこそ <a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" rel="external"><!--{$tpl_name1|h}--> <!--{$tpl_name2|h}-->さん</a></p>
+        <p class="guest">ようこそ <a href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" rel="external"><!--{$tpl_name1|h}--> <!--{$tpl_name2|h}-->さん</a></p>
         <!--{if $smarty.const.USE_POINT !== false}-->
             <p>所持ポイント<!--{$tpl_user_point|number_format|default:0}-->pt</p>
@@ -29,5 +29,5 @@
     <!--{else}-->
         <p class="guest">ようこそ ゲストさん</p>
-        <p><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/entry/kiyaku.php">新規会員登録</a></p>
+        <p><a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->entry/kiyaku.php">新規会員登録</a></p>
     <!--{/if}-->
 </nav>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_header.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_header.tpl	(revision 22788)
@@ -31,5 +31,5 @@
     <!--{if $tpl_login}-->
         <p><span class="mini">ようこそ</span><br />
-        <a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" rel="external"><!--{$tpl_name1|h}--> <!--{$tpl_name2|h}-->さん</a></p>
+        <a href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" rel="external"><!--{$tpl_name1|h}--> <!--{$tpl_name2|h}-->さん</a></p>
         <!--{if $smarty.const.USE_POINT !== false}-->
             <p>所持ポイント<!--{$tpl_user_point|number_format|default:0}-->pt</p>
@@ -38,5 +38,5 @@
         <p>ようこそ<br />
             ゲストさん</p>
-        <p><a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" rel="external">ログイン</a></p>
+        <p><a href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" rel="external">ログイン</a></p>
     <!--{/if}-->
 </div>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login_footer.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login_footer.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login_footer.tpl	(revision 22788)
@@ -28,5 +28,5 @@
             <input type="hidden" name="url" value="<!--{$smarty.server.SCRIPT_NAME|h}-->" />
         </form>
-        <p>ようこそ <a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" data-transition="slideup"><!--{$tpl_name1|h}--> <!--{$tpl_name2|h}-->さん</a></p>
+        <p>ようこそ <a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" data-transition="slideup"><!--{$tpl_name1|h}--> <!--{$tpl_name2|h}-->さん</a></p>
         <!--{if $smarty.const.USE_POINT !== false}-->
             <p>所持ポイント<!--{$tpl_user_point|number_format|default:0}-->pt</p>
@@ -35,5 +35,5 @@
     <!--{else}-->
         <p>ようこそ ゲストさん</p>
-        <p><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/entry/kiyaku.php" class="btn_btm">新規会員登録</a></p>
+        <p><a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->entry/kiyaku.php" class="btn_btm">新規会員登録</a></p>
     <!--{/if}-->
 </section>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/login.tpl	(revision 22788)
@@ -25,11 +25,11 @@
         <ul>
             <li><a rel="external" href="javascript:void(document.login_form_bloc.submit())"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_login.png" width="22" height="21" alt="ログアウト" />ログアウト</a></li>
-            <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" data-transition="slideup"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_mypage.png" width="22" height="21" alt="MYページ" />MYページ</a></li>
+            <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" data-transition="slideup"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_mypage.png" width="22" height="21" alt="MYページ" />MYページ</a></li>
             <li><a rel="external" href="<!--{$smarty.const.CART_URLPATH|h}-->"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_cart.png" width="22" height="21" alt="カートを見る" />カートを見る</a></li>
         </ul>
     <!--{else}-->
         <ul>
-            <li><a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" data-transition="slideup"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_login.png" width="22" height="21" alt="ログイン" />ログイン</a></li>
-            <li><a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" data-transition="slideup"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_mypage.png" width="22" height="21" alt="MYページ" />MYページ</a></li>
+            <li><a href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" data-transition="slideup"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_login.png" width="22" height="21" alt="ログイン" />ログイン</a></li>
+            <li><a href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" data-transition="slideup"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_mypage.png" width="22" height="21" alt="MYページ" />MYページ</a></li>
             <li><a rel="external" href="<!--{$smarty.const.CART_URLPATH|h}-->"><img src="<!--{$TPL_URLPATH}-->img/icon/ico_cart.png" width="22" height="21" alt="カートを見る" />カートを見る</a></li>
         </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_footer.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_footer.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/navi_footer.tpl	(revision 22788)
@@ -23,9 +23,9 @@
 <ul class="footer_navi">
     <!--{if $tpl_login}-->
-        <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_mypage_off.png" alt="MYページ" width="75" height="50" /></a></li>
-        <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/favorite.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="お気に入り" width="75" height="50" /></a></li>
+        <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_mypage_off.png" alt="MYページ" width="75" height="50" /></a></li>
+        <li><a rel="external" href="<!--{$smarty.const.HTTPS_URL}-->mypage/favorite.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="お気に入り" width="75" height="50" /></a></li>
     <!--{else}-->
-        <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_mypage_off.png" alt="MYページ" width="75" height="50" /></a></li>
-        <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="お気に入り" width="75" height="50" /></a></li>
+        <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_mypage_off.png" alt="MYページ" width="75" height="50" /></a></li>
+        <li><a data-transition="slideup" href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_favorite_off.png" alt="お気に入り" width="75" height="50" /></a></li>
     <!--{/if}-->
     <li><a rel="external" href="<!--{$smarty.const.CART_URLPATH|h}-->"><img src="<!--{$TPL_URLPATH}-->img/button/btn_footer_cart_off.png" alt="カゴの中を見る" width="75" height="50" /></a></li>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 22494)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 22788)
@@ -138,5 +138,5 @@
     var pageNo = 2;
     var url = "<!--{$smarty.const.P_DETAIL_URLPATH}-->";
-    var imagePath = "<!--{$smarty.const.IMAGE_SAVE_URLPATH|sfTrimURL}-->/";
+    var imagePath = "<!--{$smarty.const.IMAGE_SAVE_URLPATH}-->";
     var statusImagePath = "<!--{$TPL_URLPATH}-->";
 
Index: /branches/version-2_13-dev/data/Smarty/templates/default/mypage/login.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/mypage/login.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/mypage/login.tpl	(revision 22788)
@@ -67,5 +67,5 @@
             </div>
             <p>
-                ※パスワードを忘れた方は<a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="win01('<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','460'); return false;" target="_blank">こちら</a>からパスワードの再発行を行ってください。<br />
+                ※パスワードを忘れた方は<a href="<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="win01('<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','460'); return false;" target="_blank">こちら</a>からパスワードの再発行を行ってください。<br />
                 ※メールアドレスを忘れた方は、お手数ですが、<a href="<!--{$smarty.const.ROOT_URLPATH}-->contact/<!--{$smarty.const.DIR_INDEX_PATH}-->">お問い合わせページ</a>からお問い合わせください。
             </p>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/shopping/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/shopping/index.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/shopping/index.tpl	(revision 22788)
@@ -64,5 +64,5 @@
             </div>
             <p>
-                ※パスワードを忘れた方は<a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="win01('<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','460'); return false;" target="_blank">こちら</a>からパスワードの再発行を行ってください。<br />
+                ※パスワードを忘れた方は<a href="<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="win01('<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','460'); return false;" target="_blank">こちら</a>からパスワードの再発行を行ってください。<br />
                 ※メールアドレスを忘れた方は、お手数ですが、<a href="<!--{$smarty.const.ROOT_URLPATH}-->contact/<!--{$smarty.const.DIR_INDEX_PATH}-->">お問い合わせページ</a>からお問い合わせください。
             </p>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl	(revision 21609)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl	(revision 22788)
@@ -66,5 +66,5 @@
                     </li>
                     <li class="forgot">
-                        <a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="win01('<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','400'); return false;" target="_blank">パスワードを忘れた方</a>
+                        <a href="<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="win01('<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','400'); return false;" target="_blank">パスワードを忘れた方</a>
                     </li>
                 </ul>
Index: /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/login.tpl	(revision 22788)
@@ -56,5 +56,5 @@
                         <dd><input type="password" name="login_pass" class="box140" /></dd>
                         <dd class="mini">
-                        <a href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="win01('<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','400'); return false;" target="_blank">パスワードを忘れた方はこちら</a>
+                        <a href="<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->" onclick="win01('<!--{$smarty.const.HTTPS_URL}-->forgot/<!--{$smarty.const.DIR_INDEX_PATH}-->','forget','600','400'); return false;" target="_blank">パスワードを忘れた方はこちら</a>
                         </dd>
                     </dl>
Index: /branches/version-2_13-dev/data/Smarty/templates/admin/products/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/admin/products/index.tpl	(revision 22572)
+++ /branches/version-2_13-dev/data/Smarty/templates/admin/products/index.tpl	(revision 22788)
@@ -268,5 +268,5 @@
                     <td class="menu" rowspan="2"><!--{$arrDISP[$key]}--></td>
                     <td class="menu" rowspan="2"><span class="icon_edit"><a href="<!--{$smarty.const.ROOT_URLPATH}-->" onclick="fnChangeAction('./product.php'); fnModeSubmit('pre_edit', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;" >編集</a></span></td>
-                    <td class="menu" rowspan="2"><span class="icon_confirm"><a href="<!--{$smarty.const.HTTP_URL|sfTrimURL}-->/products/detail.php?product_id=<!--{$arrProducts[cnt].product_id}-->&amp;admin=on" target="_blank">確認</a></span></td>
+                    <td class="menu" rowspan="2"><span class="icon_confirm"><a href="<!--{$smarty.const.HTTP_URL}-->products/detail.php?product_id=<!--{$arrProducts[cnt].product_id}-->&amp;admin=on" target="_blank">確認</a></span></td>
                     <!--{if $smarty.const.OPTION_CLASS_REGIST == 1}-->
                     <td class="menu" rowspan="2"><span class="icon_class"><a href="<!--{$smarty.const.ROOT_URLPATH}-->" onclick="fnChangeAction('./product_class.php'); fnModeSubmit('pre_edit', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;" >規格</a></span></td>
@@ -287,5 +287,5 @@
                         <!--{* URL *}-->
                         <div id="disp_url<!--{$smarty.section.cnt.iteration}-->" style="display:none">
-                            <!--{$smarty.const.HTTP_URL|sfTrimURL}-->/products/detail.php?product_id=<!--{$arrProducts[cnt].product_id}-->
+                            <!--{$smarty.const.HTTP_URL}-->products/detail.php?product_id=<!--{$arrProducts[cnt].product_id}-->
                         </div>
                     </td>