Index: branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 22601)
+++ branches/version-2_12-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 22796)
@@ -27,4 +27,10 @@
     注文番号：<!--{$tpl_arrOrderData.order_id}--><br>
     お支払い方法：<!--{$arrPayment[$tpl_arrOrderData.payment_id]|h}-->
+    <!--{if $tpl_arrOrderData.deliv_time_id != ""}--><br>
+        お届け時間：<!--{$arrDelivTime[$tpl_arrOrderData.deliv_time_id]|h}-->
+    <!--{/if}-->
+    <!--{if $tpl_arrOrderData.deliv_date != ""}--><br>
+        お届け日：<!--{$tpl_arrOrderData.deliv_date|h}-->
+    <!--{/if}-->
 
     <form action="order.php" method="post">
@@ -62,9 +68,7 @@
         <!--{assign var=price value=`$orderDetail.price`}-->
         <!--{assign var=quantity value=`$orderDetail.quantity`}-->
-        <!--{assign var=tax_rate value=`$orderDetail.tax_rate`}-->
-        <!--{assign var=tax_rule value=`$orderDetail.tax_rule`}-->
-        <!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|number_format|h}-->円<br>
+        <!--{$price|sfCalcIncTax|number_format|h}-->円<br>
         数量：<!--{$quantity|h}--><br>
-        小計：<!--{$price|sfCalcIncTax:$tax_rate:$tax_rule|sfMultiply:$quantity|number_format}-->円<br>
+        小計：<!--{$price|sfCalcIncTax|sfMultiply:$quantity|number_format}-->円<br>
     <!--{/foreach}-->
     <hr>
@@ -105,5 +109,5 @@
                     <!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}--><br>
                 <!--{/if}-->
-                単価：<!--{$item.price|sfCalcIncTax:$tpl_arrOrderData.order_tax_rate:$tpl_arrOrderData.order_tax_rule|number_format}-->円<br>
+                単価：<!--{$item.price|sfCalcIncTax|number_format}-->円<br>
                 数量：<!--{$item.quantity}--><br>
                 <br>
@@ -123,8 +127,4 @@
             <!--{$shippingItem.shipping_fax01}-->-<!--{$shippingItem.shipping_fax02}-->-<!--{$shippingItem.shipping_fax03}--><br>
         <!--{/if}-->
-        ●お届け日<br>
-        <!--{$shippingItem.shipping_date|default:'指定なし'|h}-->&nbsp;<br>
-        ●お届け時間<br>
-        <!--{$shippingItem.shipping_time|default:'指定なし'|h}-->&nbsp;<br>
         <br>
     <!--{/foreach}-->
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/confirm.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 22458)
+++ branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 22796)
@@ -69,5 +69,6 @@
         <!--{/if}-->
 
-        <!--{if $arrShipping}-->
+        <!--{* 販売方法判定（ダウンロード販売のみの場合はお届け先を表示しない） *}-->
+        <!--{if $cartKey != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
             【お届け先】<br>
             <!--{foreach item=shippingItem from=$arrShipping name=shippingItem}-->
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl	(revision 22606)
+++ branches/version-2_12-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl	(revision 22796)
@@ -43,13 +43,12 @@
 ■ご注文商品明細
 <!--{section name=cnt loop=$arrOrderDetail}-->
-商品コード：<!--{$arrOrderDetail[cnt].product_code}-->
-商品名：<!--{$arrOrderDetail[cnt].product_name}--> <!--{$arrOrderDetail[cnt].classcategory_name1}--> <!--{$arrOrderDetail[cnt].classcategory_name2}-->
-単価：￥ <!--{$arrOrderDetail[cnt].price|sfCalcIncTax:$arrOrderDetail[cnt].tax_rate:$arrOrderDetail[cnt].tax_rule|number_format}-->
+商品コード: <!--{$arrOrderDetail[cnt].product_code}-->
+商品名: <!--{$arrOrderDetail[cnt].product_name}--> <!--{$arrOrderDetail[cnt].classcategory_name1}--> <!--{$arrOrderDetail[cnt].classcategory_name2}-->
+単価：￥ <!--{$arrOrderDetail[cnt].price|sfCalcIncTax|number_format}-->
 数量：<!--{$arrOrderDetail[cnt].quantity}-->
 
 <!--{/section}-->
 
-小　計 ￥ <!--{$arrOrder.subtotal|number_format|default:0}--> <!--{if 0 < $arrOrder.tax}-->(うち消費税 ￥<!--{$arrOrder.tax|number_format|default:0}-->）<!--{/if}-->
-
+小　計 ￥ <!--{$arrOrder.subtotal|number_format|default:0}--> (うち消費税 ￥<!--{$arrOrder.tax|number_format|default:0}-->）
 値引き ￥ <!--{$arrOrder.use_point+$arrOrder.discount|number_format|default:0}-->
 送　料 ￥ <!--{$arrOrder.deliv_fee|number_format|default:0}-->
@@ -69,10 +68,10 @@
 　電話番号：<!--{$shipping.shipping_tel01}-->-<!--{$shipping.shipping_tel02}-->-<!--{$shipping.shipping_tel03}-->
 　お届け日：<!--{$shipping.shipping_date|date_format:"%Y/%m/%d"|default:"指定なし"}-->
-　お届け時間：<!--{$shipping.shipping_time|default:"指定なし"}-->
+お届け時間：<!--{$shipping.shipping_time|default:"指定なし"}-->
 
 <!--{foreach item=item name=item from=$shipping.shipment_item}-->
-商品コード：<!--{$item.product_code}-->
-商品名：<!--{$item.product_name}--> <!--{$item.classcategory_name1}--> <!--{$item.classcategory_name2}-->
-単価：￥ <!--{$item.price|sfCalcIncTax:$arrOrder.order_tax_rate:$arrOrder.order_tax_rule|number_format}-->
+商品コード: <!--{$item.product_code}-->
+商品名: <!--{$item.product_name}--> <!--{$item.classcategory_name1}--> <!--{$item.classcategory_name2}-->
+単価：￥ <!--{$item.price|sfCalcIncTax|number_format}-->
 数量：<!--{$item.quantity}-->
 
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/entry/index.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/entry/index.tpl	(revision 22369)
+++ branches/version-2_12-dev/data/Smarty/templates/mobile/entry/index.tpl	(revision 22796)
@@ -103,15 +103,4 @@
         <input type="text" size="<!--{$size}-->" name="tel03" value="<!--{$arrForm.tel03|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4"><br>
 
-        ●FAX<br>
-        <!--{assign var=key1 value="`$prefix`fax01"}-->
-        <!--{assign var=key2 value="`$prefix`fax02"}-->
-        <!--{assign var=key3 value="`$prefix`fax03"}-->
-        <!--{if $arrErr[fax01] || $arrErr[fax02] || $arrErr[fax03]}-->
-            <font color="#FF0000"><!--{$arrErr[fax01]}--><!--{$arrErr[fax02]}--><!--{$arrErr[fax03]}--></font><br>
-        <!--{/if}-->
-        <input type="text" size="<!--{$size}-->" name="fax01" value="<!--{$arrForm.fax01|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4" />&nbsp;-&nbsp;
-        <input type="text" size="<!--{$size}-->" name="fax02" value="<!--{$arrForm.fax02|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4" />&nbsp;-&nbsp;
-        <input type="text" size="<!--{$size}-->" name="fax03" value="<!--{$arrForm.fax03|h}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4" /><br>
-        
         ●メールアドレス<font color="#FF0000"> *</font><br>
         <font color="#FF0000"><!--{$arrErr.email}--></font>
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_item.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_item.tpl	(revision 22545)
+++ branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_item.tpl	(revision 22796)
@@ -34,6 +34,6 @@
         <input type="text" name="quantity" size="3" value="<!--{$arrForm.quantity.value|default:1|h}-->" maxlength=<!--{$smarty.const.INT_LEN}--> istyle="4"><br>
         <input type="hidden" name="mode" value="cart">
-        <input type="hidden" name="classcategory_id1" value="<!--{$arrForm.classcategory_id1.value|h}-->">
-        <input type="hidden" name="classcategory_id2" value="<!--{$arrForm.classcategory_id2.value|h}-->">
+        <input type="hidden" name="classcategory_id1" value="<!--{$arrForm.classcategory_id1.value}-->">
+        <input type="hidden" name="classcategory_id2" value="<!--{$arrForm.classcategory_id2.value}-->">
         <input type="hidden" name="product_id" value="<!--{$tpl_product_id}-->">
         <input type="hidden" name="product_class_id" value="<!--{$tpl_product_class_id}-->">
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_find2.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_find2.tpl	(revision 22545)
+++ branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_find2.tpl	(revision 22796)
@@ -37,5 +37,5 @@
         </select><br>
         <input type="hidden" name="mode" value="selectItem">
-        <input type="hidden" name="classcategory_id1" value="<!--{$arrForm.classcategory_id1.value|h}-->">
+        <input type="hidden" name="classcategory_id1" value="<!--{$arrForm.classcategory_id1.value}-->">
         <input type="hidden" name="product_id" value="<!--{$tpl_product_id}-->">
         <center><input type="submit" name="submit" value="次へ"></center>
Index: branches/version-2_12-dev/data/Smarty/templates/mobile/products/detail.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 22549)
+++ branches/version-2_12-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 22796)
@@ -115,14 +115,4 @@
     <br>
 
-    <!--★メーカー★-->
-    <!--{if $arrProduct.maker_name|strlen >= 1}-->
-        メーカー：<!--{$arrProduct.maker_name|h}--><br>
-    <!--{/if}-->
-
-    <!--★メーカーURL★-->
-    <!--{if $arrProduct.comment1|strlen >= 1}-->
-        メーカーURL：<a href="<!--{$arrProduct.comment1|h}-->"><!--{$arrProduct.comment1|h}--></a><br>
-    <!--{/if}-->
-
     <!--★関連カテゴリ★-->
     関連カテゴリ：<br>