Index: /branches/version-2_13-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Response.php	(revision 22567)
+++ /branches/version-2_13-dev/data/class/SC_Response.php	(revision 22811)
@@ -95,11 +95,14 @@
         // ローカルフックポイント処理
         $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
-        $arrBacktrace = debug_backtrace();
-        if (is_object($arrBacktrace[0]['object'])) {
-            $parent_class_name = get_parent_class($arrBacktrace[0]['object']);
-            $objPlugin->doAction($parent_class_name . '_action_' . $arrBacktrace[0]['object']->getMode(), array($arrBacktrace[0]['object']));
-            $class_name = get_class($arrBacktrace[0]['object']);
-            if ($class_name != $parent_class_name) {
-                $objPlugin->doAction($class_name . '_action_' . $arrBacktrace[0]['object']->getMode(), array($arrBacktrace[0]['object']));
+
+        if (is_object($objPlugin)) {
+            $arrBacktrace = debug_backtrace();
+            if (is_object($arrBacktrace[0]['object'])) {
+                $parent_class_name = get_parent_class($arrBacktrace[0]['object']);
+                $objPlugin->doAction($parent_class_name . '_action_' . $arrBacktrace[0]['object']->getMode(), array($arrBacktrace[0]['object']));
+                $class_name = get_class($arrBacktrace[0]['object']);
+                if ($class_name != $parent_class_name) {
+                    $objPlugin->doAction($class_name . '_action_' . $arrBacktrace[0]['object']->getMode(), array($arrBacktrace[0]['object']));
+                }
             }
         }
@@ -125,31 +128,31 @@
     function sendRedirect($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null)
     {
-
         // ローカルフックポイント処理
         $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
 
-        $arrBacktrace = debug_backtrace();
-        if (is_object($arrBacktrace[0]['object']) && method_exists($arrBacktrace[0]['object'], 'getMode')) {
-            $parent_class_name = get_parent_class($arrBacktrace[0]['object']);
-            $objPlugin->doAction($parent_class_name . '_action_' . $arrBacktrace[0]['object']->getMode(), array($arrBacktrace[0]['object']));
-            $class_name = get_class($arrBacktrace[0]['object']);
-            if ($class_name != $parent_class_name) {
-                $objPlugin->doAction($class_name . '_action_' . $arrBacktrace[0]['object']->getMode(), array($this));
-            }
-        } elseif (is_object($arrBacktrace[0]['object'])) {
-            $pattern = '/^[a-zA-Z0-9_]+$/';
-            $mode = null;
-            if (isset($_GET['mode']) && preg_match($pattern, $_GET['mode'])) {
-                $mode =  $_GET['mode'];
-            } elseif (isset($_POST['mode']) && preg_match($pattern, $_POST['mode'])) {
-                $mode = $_POST['mode'];
-            }
-            $parent_class_name = get_parent_class($arrBacktrace[0]['object']);
-            $objPlugin->doAction($parent_class_name . '_action_' . $mode, array($arrBacktrace[0]['object']));
-            $class_name = get_class($arrBacktrace[0]['object']);
-            if ($class_name != $parent_class_name) {
-                $objPlugin->doAction($class_name . '_action_' . $mode, array($this));
-            }
-
+        if (is_object($objPlugin)) {
+            $arrBacktrace = debug_backtrace();
+            if (is_object($arrBacktrace[0]['object']) && method_exists($arrBacktrace[0]['object'], 'getMode')) {
+                $parent_class_name = get_parent_class($arrBacktrace[0]['object']);
+                $objPlugin->doAction($parent_class_name . '_action_' . $arrBacktrace[0]['object']->getMode(), array($arrBacktrace[0]['object']));
+                $class_name = get_class($arrBacktrace[0]['object']);
+                if ($class_name != $parent_class_name) {
+                    $objPlugin->doAction($class_name . '_action_' . $arrBacktrace[0]['object']->getMode(), array($this));
+                }
+            } elseif (is_object($arrBacktrace[0]['object'])) {
+                $pattern = '/^[a-zA-Z0-9_]+$/';
+                $mode = null;
+                if (isset($_GET['mode']) && preg_match($pattern, $_GET['mode'])) {
+                    $mode =  $_GET['mode'];
+                } elseif (isset($_POST['mode']) && preg_match($pattern, $_POST['mode'])) {
+                    $mode = $_POST['mode'];
+                }
+                $parent_class_name = get_parent_class($arrBacktrace[0]['object']);
+                $objPlugin->doAction($parent_class_name . '_action_' . $mode, array($arrBacktrace[0]['object']));
+                $class_name = get_class($arrBacktrace[0]['object']);
+                if ($class_name != $parent_class_name) {
+                    $objPlugin->doAction($class_name . '_action_' . $mode, array($this));
+                }
+            }
         }
 
Index: /branches/version-2_13-dev/data/class/SC_View.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_View.php	(revision 22567)
+++ /branches/version-2_13-dev/data/class/SC_View.php	(revision 22811)
@@ -144,5 +144,7 @@
             // フックポイントを実行.
             $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->objPage->plugin_activate_flg);
-            $objPlugin->doAction('prefilterTransform', array(&$source, $this->objPage, $smarty->_current_file));
+            if (is_object($objPlugin)) {
+                $objPlugin->doAction('prefilterTransform', array(&$source, $this->objPage, $smarty->_current_file));
+            }
         }
         return $source;
@@ -160,5 +162,7 @@
             // フックポイントを実行.
             $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->objPage->plugin_activate_flg);
-            $objPlugin->doAction('outputfilterTransform', array(&$source, $this->objPage, $smarty->_current_file));
+            if (is_object($objPlugin)) {
+                $objPlugin->doAction('outputfilterTransform', array(&$source, $this->objPage, $smarty->_current_file));
+            }
         }
         return $source;
Index: /branches/version-2_13-dev/data/class/pages/error/LC_Page_Error.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/error/LC_Page_Error.php	(revision 22567)
+++ /branches/version-2_13-dev/data/class/pages/error/LC_Page_Error.php	(revision 22811)
@@ -69,7 +69,9 @@
         $this->objDisplay = new SC_Display_Ex();
 
-        // transformでフックしているばあいに, 再度エラーが発生するため, コールバックを無効化.
         $objHelperPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
-        $objHelperPlugin->arrRegistedPluginActions = array();
+        if (is_object($objHelperPlugin)) {
+            // transformでフックしている場合に, 再度エラーが発生するため, コールバックを無効化.
+            $objHelperPlugin->arrRegistedPluginActions = array();
+        }
 
         // キャッシュから店舗情報取得（DBへの接続は行わない）