Index: /branches/version-2_12-dev/html/install/index.php
===================================================================
--- /branches/version-2_12-dev/html/install/index.php	(revision 22796)
+++ /branches/version-2_12-dev/html/install/index.php	(revision 22818)
@@ -198,10 +198,12 @@
 
         //マスターデータのキャッシュを削除
-        $cache_dir = '../../data/cache/';
+        $cache_dir = DATA_REALDIR . 'cache/';
         $res_dir = opendir($cache_dir);
         while ($file_name = readdir($res_dir)){
             //dummy以外は削除
             if ($file_name != 'dummy'){
-                unlink($cache_dir . $file_name);
+                if (is_file($cache_dir . $file_name)) {
+                    unlink($cache_dir . $file_name);
+                }
             }
         }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 22818)
@@ -253,6 +253,5 @@
         }
         echo fread($fp, $content_length) ;
-        ob_flush();
-        flush();
+        SC_Utils_Ex::sfFlush();
     }
 
@@ -306,6 +305,6 @@
                 $buffer = fread($realpath, $chunksize);
                 print($buffer);
-                ob_flush();
-                flush();
+                SC_Utils_Ex::sfFlush();
+                SC_Utils_Ex::extendTimeOut();
                 $bytes_send += strlen($buffer);
             }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 22818)
@@ -136,5 +136,5 @@
 
                 if ($_GET['other_deliv_id'] != '') {
-                    $arrOtherDeliv = $objAddress->get($_SESSION['other_deliv_id']);
+                    $arrOtherDeliv = $objAddress->getAddress($_SESSION['other_deliv_id']);
 
                     //不正アクセス判定
@@ -174,5 +174,5 @@
         $sqlval['customer_id'] = $customer_id;
 
-        $objAddress->save($sqlval);
+        $objAddress->registAddress($sqlval);
     }
 
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 22818)
@@ -85,5 +85,5 @@
                 }
 
-                $objAddress->delete($objFormParam->getValue('other_deliv_id'));
+                $objAddress->deleteAddress($objFormParam->getValue('other_deliv_id'));
                 break;
 
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 22818)
@@ -110,5 +110,5 @@
             // 削除
             case 'delete':
-                $objAddress->delete($arrForm['other_deliv_id']);
+                $objAddress->deleteAddress($arrForm['other_deliv_id']);
                 break;
 
@@ -228,5 +228,5 @@
         // 別のお届け先がチェックされている場合
         else {
-            $arrOtherDeliv = $objAddress->get($other_deliv_id);
+            $arrOtherDeliv = $objAddress->getAddress($other_deliv_id);
             if (!$arrOtherDeliv) {
                 return false;
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22818)
@@ -307,5 +307,5 @@
             if ($objCustomer->isLoginSuccess(true)) {
                 if ($other_deliv_id != 0) {
-                    $otherDeliv = $objAddress->get($other_deliv_id);
+                    $otherDeliv = $objAddress->getAddress($other_deliv_id);
                     foreach ($otherDeliv as $key => $val) {
                         $arrValues[$other_deliv_id]['shipping_' . $key] = $val;
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 22818)
@@ -221,11 +221,21 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
-        if (!SC_Utils_Ex::sfIsInt($objFormParam->getValue('template_id'))) {
-            trigger_error('テンプレートが指定されていません。', E_USER_ERROR);
-        }
-
-        $where = 'template_id = ?';
-        $arrWhereVal = array($objFormParam->getValue('template_id'));
-        $mailTemplates = $objQuery->getRow('subject, header, footer', 'dtb_mailtemplate', $where, $arrWhereVal);
+        $template_id = $objFormParam->getValue('template_id');
+
+        // 未選択時
+        if (strlen($template_id) === 0) {
+            $mailTemplates = null;
+        }
+        // 有効選択時
+        elseif (SC_Utils_Ex::sfIsInt($template_id)) {
+            $where = 'template_id = ?';
+            $arrWhereVal = array($template_id);
+            $mailTemplates = $objQuery->getRow('subject, header, footer', 'dtb_mailtemplate', $where, $arrWhereVal);
+        }
+        // 不正選択時
+        else {
+            trigger_error('テンプレートの指定が不正。', E_USER_ERROR);
+        }
+
         if (empty($mailTemplates)) {
             foreach (array('subject','header','footer') as $key) {
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22818)
@@ -584,5 +584,5 @@
 
         // 在庫無制限フラグ列を利用する場合、
-        if (array_key_exists('stock_unlimited', $sqlval)) {
+        if (array_key_exists('stock_unlimited', $sqlval) and $sqlval['stock_unlimited'] != '') {
             // 在庫無制限フラグ = 無制限の場合、
             if ($sqlval['stock_unlimited'] == UNLIMITED_FLG_UNLIMITED) {
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 22818)
@@ -88,5 +88,5 @@
                 $this->arrErr = $objFormParam->checkError();
                 // エラー無し
-                if (!SC_Utils_Ex::isBlank($this->arrErr)) {
+                if (SC_Utils_Ex::isBlank($this->arrErr)) {
                     // レビュー情報の更新
                     $this->lfRegistReviewData($this->arrForm['review_id'], $objFormParam);
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php	(revision 22796)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php	(revision 22818)
@@ -37,5 +37,5 @@
      * @return array()
      */
-    function save($sqlval) {
+    function registAddress($sqlval) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $customer_id = $sqlval['customer_id'];
@@ -77,5 +77,5 @@
      * @return array()
      */
-    function get($other_deliv_id) {
+    function getAddress($other_deliv_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $address = $objQuery->select('*', 'dtb_other_deliv', 'other_deliv_id = ?', array($other_deliv_id));
@@ -106,5 +106,5 @@
      * @return void
      */
-    function delete($other_deliv_id) {
+    function deleteAddress($other_deliv_id) {
         $where      = 'other_deliv_id = ?';
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_12-dev/data/Smarty/templates/default/contact/confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/contact/confirm.tpl	(revision 22796)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/contact/confirm.tpl	(revision 22818)
@@ -38,9 +38,9 @@
             <col width="70%" />
             <tr>
-                <th>お名前<span class="attention">※</span></th>
+                <th>お名前</th>
                 <td><!--{$arrForm.name01.value|h}-->　<!--{$arrForm.name02.value|h}--></td>
             </tr>
             <tr>
-                <th>お名前(フリガナ)<span class="attention">※</span></th>
+                <th>お名前(フリガナ)</th>
                 <td><!--{$arrForm.kana01.value|h}-->　<!--{$arrForm.kana02.value|h}--></td>
             </tr>
@@ -66,9 +66,9 @@
             </tr>
             <tr>
-                <th>メールアドレス<span class="attention">※</span></th>
+                <th>メールアドレス</th>
                 <td><a href="mailto:<!--{$arrForm.email.value|escape:'hex'}-->"><!--{$arrForm.email.value|escape:'hexentity'}--></a></td>
             </tr>
             <tr>
-                <th>お問い合わせ内容<span class="attention">※</span></th>
+                <th>お問い合わせ内容</th>
                 <td><!--{$arrForm.contents.value|h|nl2br}--></td>
             </tr>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/products/review_confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/products/review_confirm.tpl	(revision 22796)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/products/review_confirm.tpl	(revision 22818)
@@ -42,5 +42,5 @@
         </tr>
         <tr>
-            <th>投稿者名<span class="attention">※</span></th>
+            <th>投稿者名</th>
             <td><!--{$arrForm.reviewer_name|h}--></td>
         </tr>
@@ -54,13 +54,13 @@
         </tr>
         <tr>
-            <th>おすすめレベル<span class="attention">※</span></th>
+            <th>おすすめレベル</th>
             <td><span class="recommend_level"><!--{$arrRECOMMEND[$arrForm.recommend_level]}--></span></td>
         </tr>
         <tr>
-            <th>タイトル<span class="attention">※</span></th>
+            <th>タイトル</th>
             <td><!--{$arrForm.title|h}--></td>
         </tr>
         <tr>
-            <th>コメント<span class="attention">※</span></th>
+            <th>コメント</th>
             <td><!--{$arrForm.comment|h|nl2br}--></td>
         </tr>
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_item.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_item.tpl	(revision 22796)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_item.tpl	(revision 22818)
@@ -34,6 +34,6 @@
         <input type="text" name="quantity" size="3" value="<!--{$arrForm.quantity.value|default:1|h}-->" maxlength=<!--{$smarty.const.INT_LEN}--> istyle="4"><br>
         <input type="hidden" name="mode" value="cart">
-        <input type="hidden" name="classcategory_id1" value="<!--{$arrForm.classcategory_id1.value}-->">
-        <input type="hidden" name="classcategory_id2" value="<!--{$arrForm.classcategory_id2.value}-->">
+        <input type="hidden" name="classcategory_id1" value="<!--{$arrForm.classcategory_id1.value|h}-->">
+        <input type="hidden" name="classcategory_id2" value="<!--{$arrForm.classcategory_id2.value|h}-->">
         <input type="hidden" name="product_id" value="<!--{$tpl_product_id}-->">
         <input type="hidden" name="product_class_id" value="<!--{$tpl_product_class_id}-->">
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_find2.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_find2.tpl	(revision 22796)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/products/select_find2.tpl	(revision 22818)
@@ -37,5 +37,5 @@
         </select><br>
         <input type="hidden" name="mode" value="selectItem">
-        <input type="hidden" name="classcategory_id1" value="<!--{$arrForm.classcategory_id1.value}-->">
+        <input type="hidden" name="classcategory_id1" value="<!--{$arrForm.classcategory_id1.value|h}-->">
         <input type="hidden" name="product_id" value="<!--{$tpl_product_id}-->">
         <center><input type="submit" name="submit" value="次へ"></center>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 22796)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 22818)
@@ -377,5 +377,5 @@
             <!--{/if}-->
         </div>
-    </div>
+
     <!--お客様の声ここまで-->
 