Index: branches/version-2_13-dev/data/Smarty/templates/sphone/abouts/index.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/sphone/abouts/index.tpl	(revision 22824)
+++ branches/version-2_13-dev/data/Smarty/templates/sphone/abouts/index.tpl	(revision 22825)
@@ -22,31 +22,4 @@
  */
 *}-->
-
-<!--{assign var=_site value=$arrSiteInfo}-->
-<!--{if $_site.latitude && $_site.longitude}-->
-    <script type="text/javascript">//<![CDATA[
-        $(function() {
-            $("#maps").css({
-                'margin-top': '15px',
-                'margin-left': 'auto',
-                'margin-right': 'auto',
-                'width': '98%',
-                'height': '300px'
-            });
-            var lat = <!--{$_site.latitude}-->
-            var lng = <!--{$_site.longitude}-->
-            if (lat && lng) {
-                var latlng = new google.maps.LatLng(lat, lng);
-                var mapOptions = {zoom: 15,
-                center: latlng,
-                mapTypeId: google.maps.MapTypeId.ROADMAP};
-                var map = new google.maps.Map($("#maps").get(0), mapOptions);
-                var marker = new google.maps.Marker({map: map, position: latlng});
-            } else {
-                $("#maps").remove();
-            }
-        });
-    //]]></script>
-<!--{/if}-->
 
 <section id="undercolumn">
@@ -102,6 +75,29 @@
     </dl>
 
-    <!--☆MAP -->
-    <div id="maps"></div>
+    <!--{if strlen($arrSiteInfo.latitude) >= 1 && strlen($arrSiteInfo.longitude) >= 1}-->
+        <script src="//maps.google.com/maps/api/js?sensor=false"></script>
+        <script type="text/javascript">//<![CDATA[
+            $(function() {
+                $("#maps").css({
+                    'margin-top': '15px',
+                    'margin-left': 'auto',
+                    'margin-right': 'auto',
+                    'width': '98%',
+                    'height': '300px'
+                });
+                var lat = "<!--{$arrSiteInfo.latitude|escape:'javascript'}-->";
+                var lng = "<!--{$arrSiteInfo.longitude|escape:'javascript'}-->";
+                var latlng = new google.maps.LatLng(lat, lng);
+                var mapOptions = {
+                    zoom: 15,
+                    center: latlng,
+                    mapTypeId: google.maps.MapTypeId.ROADMAP
+                };
+                var map = new google.maps.Map($("#maps").get(0), mapOptions);
+                var marker = new google.maps.Marker({map: map, position: latlng});
+            });
+        //]]></script>
+        <div id="maps"></div>
+    <!--{/if}-->
 </section>
 
Index: branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/category.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/category.tpl	(revision 22602)
+++ branches/version-2_13-dev/data/Smarty/templates/sphone/frontparts/bloc/category.tpl	(revision 22825)
@@ -21,13 +21,10 @@
  *}-->
 
-<!--商品カテゴリここから-->
 <section id="category_area">
+    <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/category.js"></script>
     <h2 class="title_block">商品カテゴリ</h2>
     <nav id="categorytree">
         <!--{include file="`$smarty.const.SMARTPHONE_TEMPLATE_REALDIR`frontparts/bloc/category_tree_fork.tpl" children=$arrTree treeID="categorytreelist" display=1 level=0}-->
 
-        <script>//<![CDATA[
-        //]]></script>
     </nav>
-</section>
-<!-- ▲カテゴリ -->
+</section><!-- id="category_area" -->
Index: branches/version-2_13-dev/data/Smarty/templates/sphone/popup_header.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/sphone/popup_header.tpl	(revision 22803)
+++ branches/version-2_13-dev/data/Smarty/templates/sphone/popup_header.tpl	(revision 22825)
@@ -32,15 +32,8 @@
     <link rel="stylesheet" media="only screen" href="<!--{$TPL_URLPATH}-->css/import.css" />
 
-    <!--{if $tpl_page_category == "abouts"}-->
-        <!--{if ($smarty.server.HTTPS != "") && ($smarty.server.HTTPS != "off")}-->
-            <script src="https://maps.google.com/maps/api/js?sensor=false"></script>
-        <!--{else}-->
-            <script src="http://maps.google.com/maps/api/js?sensor=false"></script>
-        <!--{/if}-->
-    <!--{/if}-->
+    <script src="<!--{$TPL_URLPATH}-->js/jquery-1.9.1.min.js"></script>
     <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/navi.js"></script>
     <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/win_op.js"></script>
     <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/site.js"></script>
-    <script src="<!--{$TPL_URLPATH}-->js/jquery-1.8.1.min.js"></script>
     <script src="<!--{$TPL_URLPATH}-->js/jquery.biggerlink.js"></script>
     <script type="text/javascript">
@@ -51,11 +44,9 @@
     <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/btn.js"></script>
     <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/barbutton.js"></script>
-    <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/category.js"></script>
-    <script type="text/javascript" src="<!--{$TPL_URLPATH}-->js/news.js"></script>
 
     <!--{* jQuery Mobile *}-->
-    <link rel="stylesheet" media="only screen" href="<!--{$TPL_URLPATH}-->js/jquery.mobile/jquery.mobile-1.2.1.min.css" />
+    <link rel="stylesheet" media="only screen" href="<!--{$TPL_URLPATH}-->js/jquery.mobile/jquery.mobile-1.3.1.min.css" />
     <script src="<!--{$TPL_URLPATH}-->js/config.js"></script>
-    <script src="<!--{$TPL_URLPATH}-->js/jquery.mobile/jquery.mobile-1.2.1.min.js"></script>
+    <script src="<!--{$TPL_URLPATH}-->js/jquery.mobile/jquery.mobile-1.3.1.min.js"></script>
 
     <!--{* スマートフォンカスタマイズ用JS *}-->
Index: branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 22803)
+++ branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 22825)
@@ -32,15 +32,8 @@
         <link rel="stylesheet" media="only screen" href="<!--{$TPL_URLPATH}-->css/import.css" />
 
-        <!--{if $tpl_page_category == "abouts"}-->
-            <!--{if ($smarty.server.HTTPS != "") && ($smarty.server.HTTPS != "off")}-->
-                <script src="https://maps-api-ssl.google.com/maps/api/js?sensor=false"></script>
-            <!--{else}-->
-                <script src="http://maps.google.com/maps/api/js?sensor=false"></script>
-            <!--{/if}-->
-        <!--{/if}-->
+        <script src="<!--{$TPL_URLPATH}-->js/jquery-1.9.1.min.js"></script>
         <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/navi.js"></script>
         <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/win_op.js"></script>
         <script src="<!--{$smarty.const.ROOT_URLPATH}-->js/site.js"></script>
-        <script src="<!--{$TPL_URLPATH}-->js/jquery-1.8.1.min.js"></script>
         <script src="<!--{$TPL_URLPATH}-->js/jquery.biggerlink.js"></script>
         <script>//<![CDATA[
@@ -51,11 +44,9 @@
         <script src="<!--{$TPL_URLPATH}-->js/btn.js"></script>
         <script src="<!--{$TPL_URLPATH}-->js/barbutton.js"></script>
-        <script src="<!--{$TPL_URLPATH}-->js/category.js"></script>
-        <script src="<!--{$TPL_URLPATH}-->js/news.js"></script>
 
         <!--{* jQuery Mobile *}-->
-        <link rel="stylesheet" media="only screen" href="<!--{$TPL_URLPATH}-->js/jquery.mobile/jquery.mobile-1.2.1.min.css" />
+        <link rel="stylesheet" media="only screen" href="<!--{$TPL_URLPATH}-->js/jquery.mobile/jquery.mobile-1.3.1.min.css" />
         <script src="<!--{$TPL_URLPATH}-->js/config.js"></script>
-        <script src="<!--{$TPL_URLPATH}-->js/jquery.mobile/jquery.mobile-1.2.1.min.js"></script>
+        <script src="<!--{$TPL_URLPATH}-->js/jquery.mobile/jquery.mobile-1.3.1.min.js"></script>
 
         <!--{* スマートフォンカスタマイズ用CSS *}-->